/* Agent Tcl
   Bob Gray
   10 January 1996

   tclParse.h

   This file defines various parsing routines.

   Copyright (c) 1995-1996, Bob Gray, Dartmouth College

   See the file "agent.terms" for information on usage and redistribution
   of this file and for a DISCLAIMER OF ALL WARRANTIES.
*/

#ifndef _TCL_PARSE_H
#define _TCL_PARSE_H

#ifndef NO_PRAGMAS
#pragma interface
#endif

struct Tcl_Interp;

#define INFINITY 31557600.0

int parseShortTimeout 
	(Tcl_Interp *interp, double &seconds, int argc, char **argv, int i);

int parseTimeout 
	(Tcl_Interp *interp, double &seconds, int argc, char **argv, int i);

#endif  
