/* Agent Tcl
   Bob Gray
   10 January 1996

   tclConversion.h

   This file defines various conversion routines.

   Copyright (c) 1995-1996, Bob Gray, Dartmouth College

   See the file "agent.terms" for information on usage and redistribution
   of this file and for a DISCLAIMER OF ALL WARRANTIES.
*/

#ifndef _TCL_CONVERSION_H
#define _TCL_CONVERSION_H

#ifndef NO_PRAGMAS
#pragma interface
#endif

#ifdef __cplusplus
#define EXTERN extern "C"
#else
#define EXTERN extern
#endif

struct AgentId;
struct AgentMaskEntry;
struct Tcl_Interp;

EXTERN struct AgentId *Agent_SplitId
	(Tcl_Interp *interp, char *string);

EXTERN struct AgentMaskEntry *Agent_SplitAgentMaskEntry  
	(Tcl_Interp *interp, char *string);

#endif
